Name:		nagios-check_rsync
Version:	1.02
Release:	%mkrel 15
Summary:	Nagios rsync plugin
License:	GPL
Group:		Networking/Other
Url:		https://exchange.nagios.org/directory/Plugins/Network-Protocols/Rsync/check_rsync/details
Source0:	check_rsync
Requires:	rsync
BuildArch:	noarch

%description
Checks rsync servers availability, as well as (optionally) individual modules
availability. It also supports authentication on modules.

%prep

%build

%install
install -d -m 755 %{buildroot}%{_datadir}/nagios/plugins
install -m 755 %{SOURCE0} %{buildroot}%{_datadir}/nagios/plugins/

perl -pi -e 's|/usr/local/nagios/libexec|%{_datadir}/nagios/plugins|' \
    %{buildroot}%{_datadir}/nagios/plugins/check_rsync

install -d -m 755 %{buildroot}%{_sysconfdir}/nagios/plugins.d
cat > %{buildroot}%{_sysconfdir}/nagios/plugins.d/check_rsync.cfg <<'EOF'
define command{
	command_name	check_rsync
	command_line	%{_datadir}/nagios/plugins/check_rsync -H $HOSTADDRESS$
}
EOF

%files
%{_datadir}/nagios/plugins/check_rsync
%config(noreplace) %{_sysconfdir}/nagios/plugins.d/check_rsync.cfg


%changelog
* Thu Jun 26 2025 umeabot <umeabot> 1.02-15.mga10
+ Revision: 2197623
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 1.02-14.mga9
+ Revision: 1801970
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.02-13.mga8
+ Revision: 1492162
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 1.02-12.mga7
+ Revision: 1264642
- Mageia 7 Mass Rebuild

* Mon Feb 08 2016 umeabot <umeabot> 1.02-11.mga6
+ Revision: 945393
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.02-10.mga5
+ Revision: 746294
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.02-9.mga5
+ Revision: 682777
- Mageia 5 Mass Rebuild

* Wed Aug 20 2014 daviddavid <daviddavid> 1.02-8.mga5
+ Revision: 665995
- update URL
- rebuild for mga5

* Thu Jan 17 2013 umeabot <umeabot> 1.02-6.mga3
+ Revision: 389214
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Mar 03 2011 ennael <ennael> 1.02-5.mga1
+ Revision: 62962
- imported package nagios-check_rsync


* Sat Dec 11 2010 Oden Eriksson <oeriksson@mandriva.com> 1.02-5mdv2011.0
+ Revision: 620463
- the mass rebuild of 2010.0 packages

* Mon Sep 14 2009 Thierry Vignaud <tv@mandriva.org> 1.02-4mdv2010.0
+ Revision: 440226
- rebuild

* Mon Dec 15 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.02-3mdv2009.1
+ Revision: 314629
- now a noarch package

* Sat Oct 18 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.02-2mdv2009.1
+ Revision: 294898
- really use 1.02 source

* Sat Oct 18 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.02-1mdv2009.1
+ Revision: 294891
- import nagios-check_rsync


* Sat Oct 18 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.02-1mdv2009.1
- first mdv release
